# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
# stub: moj_tribunals_config 1.6.0 ruby lib

Gem::Specification.new do |s|
  s.name = "moj_tribunals_config"
  s.version = "1.6.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Al Davidson"]
  s.date = "2015-03-05"
  s.description = "Used by tribunals_frontend and tribunals_api to share configuration.\n    To use:\n\n    1) add \"gem 'moj_tribunals_config'\" to your Gemfile\n    2) in an initializer, add the following code:\n\n      require 'moj_tribunals_config'\n\n      my_config = Moj::Tribunals::ConfigLoader.new.load\n\n    This will load the default config files from the gem.\n\n\n    To load different files, you can provide an alternative path\n    to the ConfigLoader.new method, e.g.\n\n      my_config = Moj::Tribunals::ConfigLoader.new('/my/alternative/config/path').load\n\n    To just load config for a specific tribunal, you can do:\n\n      config_loader = Moj::Tribunals::ConfigLoader.new\n      config_file = config_loader.config_file_for('utiac')\n      config_loader.load_file( config_file )\n\n    RailsConfig integration\n    =======================\n\n    If you're using the RailsConfig gem, your intializer can just do something like:\n\n    files = Moj::Tribunals::ConfigLoader.new.config_files\n    files.each{ |f| Settings.add_source!( f ) }\n    Settings.reload!\n  "
  s.email = "apdavidson@gmail.com"
  s.extra_rdoc_files = [
    "LICENSE.txt",
    "README.rdoc"
  ]
  s.files = [
    ".document",
    ".ruby-version",
    "Gemfile",
    "Gemfile.lock",
    "LICENSE.txt",
    "README.rdoc",
    "Rakefile",
    "VERSION",
    "config/tribunals/care-standards.yml",
    "config/tribunals/eat.yml",
    "config/tribunals/ftt-tax.yml",
    "config/tribunals/utiac.yml",
    "lib/moj/tribunals/config_loader.rb",
    "lib/moj_tribunals_config.rb",
    "moj_tribunals_config.gemspec",
    "spec/lib/moj/tribunals/config_loader_spec.rb",
    "spec/spec_helper.rb"
  ]
  s.homepage = "http://github.com/aldavidson/moj_tribunals_config"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.4.3"
  s.summary = "Provides a single source of truth about configuration for MoJ Tribunals."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<shoulda>, [">= 0"])
      s.add_development_dependency(%q<rdoc>, ["~> 3.12"])
      s.add_development_dependency(%q<bundler>, ["~> 1.0"])
      s.add_development_dependency(%q<jeweler>, ["~> 2.0.1"])
      s.add_development_dependency(%q<byebug>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<simplecov>, [">= 0"])
    else
      s.add_dependency(%q<shoulda>, [">= 0"])
      s.add_dependency(%q<rdoc>, ["~> 3.12"])
      s.add_dependency(%q<bundler>, ["~> 1.0"])
      s.add_dependency(%q<jeweler>, ["~> 2.0.1"])
      s.add_dependency(%q<byebug>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<simplecov>, [">= 0"])
    end
  else
    s.add_dependency(%q<shoulda>, [">= 0"])
    s.add_dependency(%q<rdoc>, ["~> 3.12"])
    s.add_dependency(%q<bundler>, ["~> 1.0"])
    s.add_dependency(%q<jeweler>, ["~> 2.0.1"])
    s.add_dependency(%q<byebug>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<simplecov>, [">= 0"])
  end
end

